# Uses of Enum Class
io.papermc.paper.event.player.PlayerBedFailEnterEvent.FailReason

Packages that use PlayerBedFailEnterEvent.FailReason
Package
Description
io.papermc.paper.event.player

## Uses of PlayerBedFailEnterEvent.FailReason in io.papermc.paper.event.player

Fields in io.papermc.paper.event.player declared as PlayerBedFailEnterEvent.FailReason
Modifier and Type
Field
Description
`static final PlayerBedFailEnterEvent.FailReason[]`
PlayerBedFailEnterEvent.FailReason.`VALUES`
Methods in io.papermc.paper.event.player that return PlayerBedFailEnterEvent.FailReason
Modifier and Type
Method
Description
`@NotNull PlayerBedFailEnterEvent.FailReason`
PlayerBedFailEnterEvent.`getFailReason()`
`static PlayerBedFailEnterEvent.FailReason`
PlayerBedFailEnterEvent.FailReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerBedFailEnterEvent.FailReason[]`
PlayerBedFailEnterEvent.FailReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in io.papermc.paper.event.player with parameters of type PlayerBedFailEnterEvent.FailReason
Modifier
Constructor
Description
``
`PlayerBedFailEnterEvent(@NotNull Player player, @NotNull PlayerBedFailEnterEvent.FailReason failReason, @NotNull Block bed, boolean willExplode, @Nullable Component message)`